<?php

namespace App\Enums;

enum NotificationTypeEnum: string
{

    // Notificação CLIENTE

    case SCHEDULE_CLIENT_PROVIDER_ACCEPTED  = 'schedule_client_provider_accepted';
    case SCHEDULE_CLIENT_PROVIDER_REFUSED   = 'schedule_client_provider_refused';
    case SCHEDULE_CLIENT_PROVIDER_CANCELLED = 'schedule_client_provider_cancelled';
    case SCHEDULE_CLIENT_PROVIDER_COMING    = 'schedule_client_provider_coming';
    case SCHEDULE_CLIENT_PROVIDER_FINISHED  = 'schedule_client_provider_finished';

    // Notificação PRESTADOR

    case SCHEDULE_PROVIDER_CLIENT_NEW_SOLICITATION  = 'schedule_provider_client_new_solicitation';
    case SCHEDULE_PROVIDER_START                    = 'schedule_provider_start';
    case SCHEDULE_PROVIDER_CLIENT_CANCELLED         = 'schedule_provider_client_cancelled';
    case SCHEDULE_PROVIDER_CLIENT_PROPOSAL_ACCEPTED = 'schedule_provider_client_proposal_accepted';
}
